diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6.h ns-3.44/src/internet/model/ipv6.h
--- ns-3.43/src/internet/model/ipv6.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6.h	2025-03-09 16:55:49.403371000 -0700
@@ -31,13 +31,13 @@
 class Ipv6Route;
 
 /**
- * \ingroup internet
- * \defgroup ipv6 IPv6 classes and sub-modules
+ * @ingroup internet
+ * @defgroup ipv6 IPv6 classes and sub-modules
  */
 
 /**
- * \ingroup ipv6
- * \brief Access to the IPv6 forwarding table, interfaces, and configuration
+ * @ingroup ipv6
+ * @brief Access to the IPv6 forwarding table, interfaces, and configuration
  *
  * This class defines the API to manipulate the following aspects of
  * the IPv6 implementation:
@@ -64,70 +64,70 @@
  *
  * TO DO:  Add API to allow access to the IPv6 neighbor table
  *
- * \see Ipv6RoutingProtocol
- * \see Ipv6InterfaceAddress
+ * @see Ipv6RoutingProtocol
+ * @see Ipv6InterfaceAddress
  */
 class Ipv6 : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6() override;
 
     /**
-     * \brief Register a new routing protocol to be used by this IPv6 stack
+     * @brief Register a new routing protocol to be used by this IPv6 stack
      *
      * This call will replace any routing protocol that has been previously
      * registered.  If you want to add multiple routing protocols, you must
      * add them to a Ipv6ListRoutingProtocol directly.
      *
-     * \param routingProtocol smart pointer to Ipv6RoutingProtocol object
+     * @param routingProtocol smart pointer to Ipv6RoutingProtocol object
      */
     virtual void SetRoutingProtocol(Ptr<Ipv6RoutingProtocol> routingProtocol) = 0;
 
     /**
-     * \brief Get the routing protocol to be used by this IPv6 stack
+     * @brief Get the routing protocol to be used by this IPv6 stack
      *
-     * \returns smart pointer to Ipv6RoutingProtocol object, or null pointer if none
+     * @returns smart pointer to Ipv6RoutingProtocol object, or null pointer if none
      */
     virtual Ptr<Ipv6RoutingProtocol> GetRoutingProtocol() const = 0;
 
     /**
-     * \brief Add a NetDevice interface.
+     * @brief Add a NetDevice interface.
      *
      * Once a device has been added, it can never be removed: if you want
      * to disable it, you can invoke Ipv6::SetDown which will
      * make sure that it is never used during packet forwarding.
-     * \param device device to add to the list of IPv6 interfaces
+     * @param device device to add to the list of IPv6 interfaces
      *        which can be used as output interfaces during packet forwarding.
-     * \returns the index of the IPv6 interface added.
+     * @returns the index of the IPv6 interface added.
      */
     virtual uint32_t AddInterface(Ptr<NetDevice> device) = 0;
 
     /**
-     * \brief Get number of interfaces.
-     * \returns the number of interfaces added by the user.
+     * @brief Get number of interfaces.
+     * @returns the number of interfaces added by the user.
      */
     virtual uint32_t GetNInterfaces() const = 0;
 
     /**
-     * \brief Return the interface number of the interface that has been
+     * @brief Return the interface number of the interface that has been
      *        assigned the specified IP address.
      *
-     * \param address The IP address being searched for
-     * \returns The interface number of the IPv6 interface with the given
+     * @param address The IP address being searched for
+     * @returns The interface number of the IPv6 interface with the given
      *          address or -1 if not found.
      *
      * Each IP interface has one or more IP addresses associated with it.
@@ -139,13 +139,13 @@
     virtual int32_t GetInterfaceForAddress(Ipv6Address address) const = 0;
 
     /**
-     * \brief Return the interface number of first interface found that
+     * @brief Return the interface number of first interface found that
      *  has an IPv6 address within the prefix specified by the input
      *  address and mask parameters
      *
-     * \param address The IP address assigned to the interface of interest.
-     * \param mask The IP prefix to use in the mask
-     * \returns The interface number of the IPv6 interface with the given
+     * @param address The IP address assigned to the interface of interest.
+     * @param mask The IP prefix to use in the mask
+     * @returns The interface number of the IPv6 interface with the given
      *          address or -1 if not found.
      *
      * Each IP interface has one or more IP addresses associated with it.
@@ -157,161 +157,161 @@
     virtual int32_t GetInterfaceForPrefix(Ipv6Address address, Ipv6Prefix mask) const = 0;
 
     /**
-     * \brief Get the NetDevice of the specified interface number.
-     * \param interface The interface number of an IPv6 interface.
-     * \returns The NetDevice associated with the IPv6 interface number.
+     * @brief Get the NetDevice of the specified interface number.
+     * @param interface The interface number of an IPv6 interface.
+     * @returns The NetDevice associated with the IPv6 interface number.
      */
     virtual Ptr<NetDevice> GetNetDevice(uint32_t interface) = 0;
 
     /**
-     * \brief Get the interface index of the specified NetDevice.
-     * \param device The NetDevice for an Ipv6Interface
-     * \returns The interface number of an IPv6 interface or -1 if not found.
+     * @brief Get the interface index of the specified NetDevice.
+     * @param device The NetDevice for an Ipv6Interface
+     * @returns The interface number of an IPv6 interface or -1 if not found.
      */
     virtual int32_t GetInterfaceForDevice(Ptr<const NetDevice> device) const = 0;
 
     /**
-     * \brief Add an address on the specified IPv6 interface.
-     * \param interface Interface number of an IPv6 interface
-     * \param address Ipv6InterfaceAddress address to associate with the underlying IPv6 interface
-     * \param addOnLinkRoute add on-link route to the network (default true)
-     * \returns true if the operation succeeded
+     * @brief Add an address on the specified IPv6 interface.
+     * @param interface Interface number of an IPv6 interface
+     * @param address Ipv6InterfaceAddress address to associate with the underlying IPv6 interface
+     * @param addOnLinkRoute add on-link route to the network (default true)
+     * @returns true if the operation succeeded
      */
     virtual bool AddAddress(uint32_t interface,
                             Ipv6InterfaceAddress address,
                             bool addOnLinkRoute = true) = 0;
 
     /**
-     * \brief Get number of addresses on specified IPv6 interface.
-     * \param interface Interface number of an IPv6 interface
-     * \returns the number of Ipv6InterfaceAddress entries for the interface.
+     * @brief Get number of addresses on specified IPv6 interface.
+     * @param interface Interface number of an IPv6 interface
+     * @returns the number of Ipv6InterfaceAddress entries for the interface.
      */
     virtual uint32_t GetNAddresses(uint32_t interface) const = 0;
 
     /**
-     * \brief Get IPv6 address on specified IPv6 interface.
+     * @brief Get IPv6 address on specified IPv6 interface.
      *
      * Because addresses can be removed, the addressIndex is not guaranteed
      * to be static across calls to this method.
      *
-     * \param interface Interface number of an IPv6 interface
-     * \param addressIndex index of Ipv6InterfaceAddress
-     * \returns the Ipv6InterfaceAddress associated to the interface and addressIndex
+     * @param interface Interface number of an IPv6 interface
+     * @param addressIndex index of Ipv6InterfaceAddress
+     * @returns the Ipv6InterfaceAddress associated to the interface and addressIndex
      */
     virtual Ipv6InterfaceAddress GetAddress(uint32_t interface, uint32_t addressIndex) const = 0;
 
     /**
-     * \brief Remove an address on specified IPv6 interface.
+     * @brief Remove an address on specified IPv6 interface.
      *
      * Remove the address at addressIndex on named interface.  The addressIndex
      * for all higher indices will decrement by one after this method is called;
      * so, for example, to remove 5 addresses from an interface i, one could
      * call RemoveAddress (i, 0); 5 times.
      *
-     * \param interface Interface number of an IPv6 interface
-     * \param addressIndex index of Ipv6InterfaceAddress to remove
-     * \returns true if the operation succeeded
+     * @param interface Interface number of an IPv6 interface
+     * @param addressIndex index of Ipv6InterfaceAddress to remove
+     * @returns true if the operation succeeded
      */
     virtual bool RemoveAddress(uint32_t interface, uint32_t addressIndex) = 0;
 
     /**
-     * \brief Remove the given address on named Ipv6 interface
+     * @brief Remove the given address on named Ipv6 interface
      *
-     * \param interface Interface number of an IPv6 interface
-     * \param address the address to remove
-     * \returns true if the operation succeeded
+     * @param interface Interface number of an IPv6 interface
+     * @param address the address to remove
+     * @returns true if the operation succeeded
      */
     virtual bool RemoveAddress(uint32_t interface, Ipv6Address address) = 0;
 
     /**
-     * \brief Set metric on specified Ipv6 interface.
+     * @brief Set metric on specified Ipv6 interface.
      *
-     * \param interface The interface number of an IPv6 interface
-     * \param metric routing metric (cost) associated to the underlying
+     * @param interface The interface number of an IPv6 interface
+     * @param metric routing metric (cost) associated to the underlying
      *          IPv6 interface
      */
     virtual void SetMetric(uint32_t interface, uint16_t metric) = 0;
 
     /**
-     * \brief Get metric for the specified IPv6 interface.
+     * @brief Get metric for the specified IPv6 interface.
      *
-     * \param interface The interface number of an IPv6 interface
-     * \returns routing metric (cost) associated to the underlying
+     * @param interface The interface number of an IPv6 interface
+     * @returns routing metric (cost) associated to the underlying
      *          IPv6 interface
      */
     virtual uint16_t GetMetric(uint32_t interface) const = 0;
 
     /**
-     * \brief Get MTU for the specified IPv6 interface.
-     * \param interface Interface number of IPv6 interface
-     * \returns the Maximum Transmission Unit (in bytes) associated
+     * @brief Get MTU for the specified IPv6 interface.
+     * @param interface Interface number of IPv6 interface
+     * @returns the Maximum Transmission Unit (in bytes) associated
      *          to the underlying IPv6 interface
      */
     virtual uint16_t GetMtu(uint32_t interface) const = 0;
 
     /**
-     * \brief Set the Path MTU for the specified IPv6 destination address.
-     * \param dst Ipv6 destination address
-     * \param pmtu the Path MTU
+     * @brief Set the Path MTU for the specified IPv6 destination address.
+     * @param dst Ipv6 destination address
+     * @param pmtu the Path MTU
      */
     virtual void SetPmtu(Ipv6Address dst, uint32_t pmtu) = 0;
 
     /**
-     * \brief If the specified interface index is in "up" state.
-     * \param interface Interface number of IPv6 interface
-     * \returns true if the underlying interface is in the "up" state,
+     * @brief If the specified interface index is in "up" state.
+     * @param interface Interface number of IPv6 interface
+     * @returns true if the underlying interface is in the "up" state,
      *          false otherwise.
      */
     virtual bool IsUp(uint32_t interface) const = 0;
 
     /**
-     * \brief Set the interface into the "up" state.
+     * @brief Set the interface into the "up" state.
      *
      * In this state, it is considered valid during IPv6 forwarding.
-     * \param interface Interface number of IPv6 interface
+     * @param interface Interface number of IPv6 interface
      */
     virtual void SetUp(uint32_t interface) = 0;
 
     /**
-     * \brief Set the interface into the "down" state.
+     * @brief Set the interface into the "down" state.
      *
      * In this state, it is ignored during IPv6 forwarding.
-     * \param interface Interface number of IPv6 interface
+     * @param interface Interface number of IPv6 interface
      */
     virtual void SetDown(uint32_t interface) = 0;
 
     /**
-     * \brief If the specified IPv6 interface has forwarding enabled.
-     * \param interface Interface number of IPv6 interface
-     * \returns true if IPv6 forwarding enabled for input datagrams on this device
+     * @brief If the specified IPv6 interface has forwarding enabled.
+     * @param interface Interface number of IPv6 interface
+     * @returns true if IPv6 forwarding enabled for input datagrams on this device
      */
     virtual bool IsForwarding(uint32_t interface) const = 0;
 
     /**
-     * \brief Set forwarding on specified IPv6 interface.
-     * \param interface Interface number of IPv6 interface
-     * \param val Value to set the forwarding flag
+     * @brief Set forwarding on specified IPv6 interface.
+     * @param interface Interface number of IPv6 interface
+     * @param val Value to set the forwarding flag
      *
      * If set to true, IPv6 forwarding is enabled for input datagrams on this device
      */
     virtual void SetForwarding(uint32_t interface, bool val) = 0;
 
     /**
-     * \brief Choose the source address to use with destination address.
-     * \param interface interface index
-     * \param dest IPv6 destination address
-     * \return IPv6 source address to use
+     * @brief Choose the source address to use with destination address.
+     * @param interface interface index
+     * @param dest IPv6 destination address
+     * @return IPv6 source address to use
      */
     virtual Ipv6Address SourceAddressSelection(uint32_t interface, Ipv6Address dest) = 0;
 
     /**
-     * \brief Add a L4 protocol.
-     * \param protocol L4 protocol
+     * @brief Add a L4 protocol.
+     * @param protocol L4 protocol
      */
     virtual void Insert(Ptr<IpL4Protocol> protocol) = 0;
 
     /**
-     * \brief Add a L4 protocol to a specific interface.
+     * @brief Add a L4 protocol to a specific interface.
      *
      * This may be called multiple times for multiple interfaces for the same
      * protocol.  To insert for all interfaces, use the separate
@@ -320,50 +320,50 @@
      * Setting a protocol on a specific interface will overwrite the
      * previously bound protocol.
      *
-     * \param protocol L4 protocol.
-     * \param interfaceIndex interface index.
+     * @param protocol L4 protocol.
+     * @param interfaceIndex interface index.
      */
     virtual void Insert(Ptr<IpL4Protocol> protocol, uint32_t interfaceIndex) = 0;
 
     /**
-     * \brief Remove a L4 protocol.
-     * \param protocol L4 protocol to remove.
+     * @brief Remove a L4 protocol.
+     * @param protocol L4 protocol to remove.
      */
     virtual void Remove(Ptr<IpL4Protocol> protocol) = 0;
 
     /**
-     * \brief Remove a L4 protocol from a specific interface.
-     * \param protocol L4 protocol to remove.
-     * \param interfaceIndex interface index.
+     * @brief Remove a L4 protocol from a specific interface.
+     * @param protocol L4 protocol to remove.
+     * @param interfaceIndex interface index.
      */
     virtual void Remove(Ptr<IpL4Protocol> protocol, uint32_t interfaceIndex) = 0;
 
     /**
-     * \brief Get L4 protocol by protocol number.
-     * \param protocolNumber protocol number
-     * \return corresponding IpL4Protocol or 0 if not found
+     * @brief Get L4 protocol by protocol number.
+     * @param protocolNumber protocol number
+     * @return corresponding IpL4Protocol or 0 if not found
      */
     virtual Ptr<IpL4Protocol> GetProtocol(int protocolNumber) const = 0;
 
     /**
-     * \brief Get L4 protocol by protocol number for the specified interface.
-     * \param protocolNumber protocol number
-     * \param interfaceIndex interface index, -1 means "any" interface.
-     * \return corresponding IpL4Protocol or 0 if not found
+     * @brief Get L4 protocol by protocol number for the specified interface.
+     * @param protocolNumber protocol number
+     * @param interfaceIndex interface index, -1 means "any" interface.
+     * @return corresponding IpL4Protocol or 0 if not found
      */
     virtual Ptr<IpL4Protocol> GetProtocol(int protocolNumber, int32_t interfaceIndex) const = 0;
 
     /**
-     * \brief Higher-level layers call this method to send a packet
+     * @brief Higher-level layers call this method to send a packet
      * down the stack to the MAC and PHY layers. All PMTU values are
      * stored at this level, so packet size calculations should be
      * done mathematically at higher levels.
      *
-     * \param packet packet to send
-     * \param source source address of packet
-     * \param destination address of packet
-     * \param protocol number of packet
-     * \param route route to take
+     * @param packet packet to send
+     * @param source source address of packet
+     * @param destination address of packet
+     * @param protocol number of packet
+     * @param route route to take
      */
     virtual void Send(Ptr<Packet> packet,
                       Ipv6Address source,
@@ -372,60 +372,60 @@
                       Ptr<Ipv6Route> route) = 0;
 
     /**
-     * \brief Register the IPv6 Extensions. Does nothing if the Extensions have been already
+     * @brief Register the IPv6 Extensions. Does nothing if the Extensions have been already
      * registered.
      */
     virtual void RegisterExtensions() = 0;
 
     /**
-     * \brief Register the IPv6 Options. Does nothing if the Options have been already
+     * @brief Register the IPv6 Options. Does nothing if the Options have been already
      * registered.
      */
     virtual void RegisterOptions() = 0;
 
     /**
-     * \brief Any interface magic number.
+     * @brief Any interface magic number.
      */
     static const uint32_t IF_ANY = 0xffffffff;
 
   private:
     // Indirect the IPv6 attributes through private pure virtual methods
     /**
-     * \brief Set IPv6 forwarding state.
-     * \param forward IPv6 forwarding enabled or not
+     * @brief Set IPv6 forwarding state.
+     * @param forward IPv6 forwarding enabled or not
      */
     virtual void SetIpForward(bool forward) = 0;
 
     /**
-     * \brief Get IPv6 forwarding state.
-     * \return forwarding state (enabled or not)
+     * @brief Get IPv6 forwarding state.
+     * @return forwarding state (enabled or not)
      */
     virtual bool GetIpForward() const = 0;
 
     /**
-     * \brief Set IPv6 MTU discover state.
-     * \param mtuDiscover IPv6 MTU discover enabled or not
+     * @brief Set IPv6 MTU discover state.
+     * @param mtuDiscover IPv6 MTU discover enabled or not
      */
     virtual void SetMtuDiscover(bool mtuDiscover) = 0;
 
     /**
-     * \brief Get IPv6 MTU discover state.
-     * \return MTU discover state (enabled or not)
+     * @brief Get IPv6 MTU discover state.
+     * @return MTU discover state (enabled or not)
      */
     virtual bool GetMtuDiscover() const = 0;
 
     /**
-     * \brief Set or unset the Strong End System Model
+     * @brief Set or unset the Strong End System Model
      *
      * RFC1122 term for whether host rejects datagram with a dest. address on another interface
-     * \param model true for Strong End System Model
+     * @param model true for Strong End System Model
      */
     virtual void SetStrongEndSystemModel(bool model) = 0;
     /**
-     * \brief Get the Strong End System Model status
+     * @brief Get the Strong End System Model status
      *
      * RFC1122 term for whether host rejects datagram with a dest. address on another interface
-     * \returns true for Strong End System Model activated
+     * @returns true for Strong End System Model activated
      */
     virtual bool GetStrongEndSystemModel() const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-header.h ns-3.44/src/internet/model/ipv6-header.h
--- ns-3.43/src/internet/model/ipv6-header.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-header.h	2025-03-09 16:55:49.399371100 -0700
@@ -16,16 +16,16 @@
 {
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief Packet header for IPv6
+ * @brief Packet header for IPv6
  */
 class Ipv6Header : public Header
 {
   public:
     /**
-     * \enum DscpType
-     * \brief DiffServ Code Points
+     * @enum DscpType
+     * @brief DiffServ Code Points
      * Code Points defined in
      * Assured Forwarding (AF) \RFC{2597}
      * Expedited Forwarding (EF) \RFC{2598}
@@ -64,8 +64,8 @@
     };
 
     /**
-     * \enum NextHeader_e
-     * \brief IPv6 next-header value
+     * @enum NextHeader_e
+     * @brief IPv6 next-header value
      */
     enum NextHeader_e
     {
@@ -87,54 +87,54 @@
     };
 
     /**
-     * \brief Get the type identifier.
-     * \return type identifier
+     * @brief Get the type identifier.
+     * @return type identifier
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return instance type ID
+     * @brief Return the instance type identifier.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6Header();
 
     /**
-     * \brief Set the "Traffic class" field.
-     * \param traffic the 8-bit value
+     * @brief Set the "Traffic class" field.
+     * @param traffic the 8-bit value
      */
     void SetTrafficClass(uint8_t traffic);
 
     /**
-     * \brief Get the "Traffic class" field.
-     * \return the traffic value
+     * @brief Get the "Traffic class" field.
+     * @return the traffic value
      */
     uint8_t GetTrafficClass() const;
 
     /**
-     * \brief Set DSCP Field
-     * \param dscp DSCP value
+     * @brief Set DSCP Field
+     * @param dscp DSCP value
      */
     void SetDscp(DscpType dscp);
 
     /**
-     * \returns the DSCP field of this packet.
+     * @returns the DSCP field of this packet.
      */
     DscpType GetDscp() const;
 
     /**
-     * \param dscp the dscp
-     * \returns std::string of DSCPType
+     * @param dscp the dscp
+     * @returns std::string of DSCPType
      */
     std::string DscpTypeToString(DscpType dscp) const;
 
     /**
-     * \enum EcnType
-     * \brief ECN field bits
+     * @enum EcnType
+     * @brief ECN field bits
      */
     enum EcnType
     {
@@ -146,153 +146,153 @@
     };
 
     /**
-     * \brief Set ECN field bits
-     * \param ecn ECN field bits
+     * @brief Set ECN field bits
+     * @param ecn ECN field bits
      */
     void SetEcn(EcnType ecn);
 
     /**
-     * \return the ECN field bits of this packet.
+     * @return the ECN field bits of this packet.
      */
     EcnType GetEcn() const;
 
     /**
-     * \param ecn the ECNType
-     * \return std::string of ECNType
+     * @param ecn the ECNType
+     * @return std::string of ECNType
      */
     std::string EcnTypeToString(EcnType ecn) const;
 
     /**
-     * \brief Set the "Flow label" field.
-     * \param flow the 20-bit value
+     * @brief Set the "Flow label" field.
+     * @param flow the 20-bit value
      */
     void SetFlowLabel(uint32_t flow);
 
     /**
-     * \brief Get the "Flow label" field.
-     * \return the flow label value
+     * @brief Get the "Flow label" field.
+     * @return the flow label value
      */
     uint32_t GetFlowLabel() const;
 
     /**
-     * \brief Set the "Payload length" field.
-     * \param len the length of the payload in bytes
+     * @brief Set the "Payload length" field.
+     * @param len the length of the payload in bytes
      */
     void SetPayloadLength(uint16_t len);
 
     /**
-     * \brief Get the "Payload length" field.
-     * \return the payload length
+     * @brief Get the "Payload length" field.
+     * @return the payload length
      */
     uint16_t GetPayloadLength() const;
 
     /**
-     * \brief Set the "Next header" field.
-     * \param next the next header number
+     * @brief Set the "Next header" field.
+     * @param next the next header number
      */
     void SetNextHeader(uint8_t next);
 
     /**
-     * \brief Get the next header.
-     * \return the next header number
+     * @brief Get the next header.
+     * @return the next header number
      */
     uint8_t GetNextHeader() const;
 
     /**
-     * \brief Set the "Hop limit" field (TTL).
-     * \param limit the 8-bit value
+     * @brief Set the "Hop limit" field (TTL).
+     * @param limit the 8-bit value
      */
     void SetHopLimit(uint8_t limit);
 
     /**
-     * \brief Get the "Hop limit" field (TTL).
-     * \return the hop limit value
+     * @brief Get the "Hop limit" field (TTL).
+     * @return the hop limit value
      */
     uint8_t GetHopLimit() const;
 
     /**
-     * \brief Set the "Source address" field.
-     * \param src the source address
+     * @brief Set the "Source address" field.
+     * @param src the source address
      */
     void SetSource(Ipv6Address src);
 
     /**
-     * \brief Get the "Source address" field.
-     * \return the source address
+     * @brief Get the "Source address" field.
+     * @return the source address
      */
     Ipv6Address GetSource() const;
 
     /**
-     * \brief Set the "Destination address" field.
-     * \param dst the destination address
+     * @brief Set the "Destination address" field.
+     * @param dst the destination address
      */
     void SetDestination(Ipv6Address dst);
 
     /**
-     * \brief Get the "Destination address" field.
-     * \return the destination address
+     * @brief Get the "Destination address" field.
+     * @return the destination address
      */
     Ipv6Address GetDestination() const;
 
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
   private:
     /**
-     * \brief The traffic class.
+     * @brief The traffic class.
      */
     uint32_t m_trafficClass : 8;
 
     /**
-     * \brief The flow label.
-     * \note This is 20-bit value.
+     * @brief The flow label.
+     * @note This is 20-bit value.
      */
     uint32_t m_flowLabel : 20;
 
     /**
-     * \brief The payload length.
+     * @brief The payload length.
      */
     uint16_t m_payloadLength;
 
     /**
-     * \brief The Next header number.
+     * @brief The Next header number.
      */
     uint8_t m_nextHeader;
 
     /**
-     * \brief The Hop limit value.
+     * @brief The Hop limit value.
      */
     uint8_t m_hopLimit;
 
     /**
-     * \brief The source address.
+     * @brief The source address.
      */
     Ipv6Address m_sourceAddress;
 
     /**
-     * \brief The destination address.
+     * @brief The destination address.
      */
     Ipv6Address m_destinationAddress;
 };
